Subject: soil fertility
From: [email-masked]
Date: Mon, 23 May 94 10:55:14 CDT
Newsgroups: alt.sustainable.agriculture

A colleague is searching for literature comparing quick tests (or
field tests) for soil fertility.  This could include both scientific
papers and articles in the popular press.  He is interested in
the various technologies for measuring soil nitrate-N, but also
any for other nutrients.  If you are aware of something in print
that compares -- or at least describes -- several such tests,
could you please drop me a line?  Thanks --

Rick Exner (Iowa State Extension Agronomy/Practical Farmers of Iowa)
[email-masked]
--
Sue Jarnagin
[email-masked]